<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.core.biz.dao.NetpathyMailDao">

	<!-- 메일 생성 -->
	<insert id="createMail" parameterType="Netpathy">
		/* NetpathyMail.createMail */
		INSERT INTO style24_msg.AUTOMAIL_INTERFACE (
		       LEGACYID     /*회원ID*/
		     , AUTOTYPE     /*자동메일타입*/
		     , EMAIL        /*이메일*/
		     , NAME         /*이름*/
		     , INSERTDATE   /*입력일*/
		     , SENDTIME     /*예약전송일*/
		     , OPENTIME
		     , SENTTIME
		     , SENDYN       /*전송여부*/
		     , CMPNCODE
		     , FROMADDRESS
		     , FROMNAME
		     , TITLE        /*메일제목*/
		     , CONTENT      /*메일내용*/
		     , TAG1
		     , TAG2
		     , TAG3
		     , TAG4
		     , TAG5
		     , TAG6
		     , TAG7
		     , TAG8
		     , TAG9
		     , TAG10
		)
		VALUES (
		       IFNULL(#{legacyid},'-')
		     , #{autotype}
		     , #{email}
		     , #{name}
		     , NOW()
		     , IFNULL(STR_TO_DATE(#{sendtime},'%Y%m%d%H%i%S'),NOW())
		     , NULL
		     , NULL
		     , 'N'
		     , NULL
		     , NULL
		     , NULL
		     , #{title}
		     , #{content}
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		)
	</insert>

		<!-- 메일 생성 -->
	<insert id="createMailDev" parameterType="Netpathy">
		/* NetpathyMail.createMailDev */
		INSERT INTO AUTOMAIL_INTERFACE (
		       LEGACYID     /*회원ID*/
		     , AUTOTYPE     /*자동메일타입*/
		     , EMAIL        /*이메일*/
		     , NAME         /*이름*/
		     , INSERTDATE   /*입력일*/
		     , SENDTIME     /*예약전송일*/
		     , OPENTIME
		     , SENTTIME
		     , SENDYN       /*전송여부*/
		     , CMPNCODE
		     , FROMADDRESS
		     , FROMNAME
		     , TITLE        /*메일제목*/
		     , CONTENT      /*메일내용*/
		     , TAG1
		     , TAG2
		     , TAG3
		     , TAG4
		     , TAG5
		     , TAG6
		     , TAG7
		     , TAG8
		     , TAG9
		     , TAG10
		)
		VALUES (
		       IFNULL(#{legacyid},'-')
		     , #{autotype}
		     , #{email}
		     , #{name}
		     , NOW()
		     , IFNULL(STR_TO_DATE(#{sendtime},'%Y%m%d%H%i%S'),NOW())
		     , NULL
		     , NULL
		     , 'N'
		     , NULL
		     , NULL
		     , NULL
		     , #{title}
		     , #{content}
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		     , NULL
		)
	</insert>

</mapper>
